| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
isf_dsa_ControlInterface_st Struct Reference

This defines the DSA adapter control interface abstract function list. More...

`#include <isf_dsa_adapter.h>`

Collaboration diagram for isf_dsa_ControlInterface_st:

## Data Fields
isf_dsa_status_t(* | Initialize )(isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t(* | ValidateSettings )(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t(* | Configure )(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t(* | StartData )(isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t(* | EndData )(isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t(* | Calibrate )(isf_SensorHandle_t *pSensorHandle, void *pCalData)
isf_dsa_status_t(* | Shutdown )(isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t(* | Flash )(isf_SensorHandle_t *pSensorHandle, void *pFlashData, uint8 numBytes)
isf_dsa_data_converter_t * | Convert

## Detailed Description

This defines the DSA adapter control interface abstract function list.

Definition at line 126 of file isf_dsa_adapter.h.

## Field Documentation

isf_dsa_status_t(* Calibrate) (isf_SensorHandle_t *pSensorHandle, void *pCalData)

Pointer to the adapter Calibrate() function.

Definition at line 133 of file isf_dsa_adapter.h.

isf_dsa_status_t(* Configure) (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)

Pointer to the adapter Configure() function.

Definition at line 130 of file isf_dsa_adapter.h.

Referenced by configure_sensor().

isf_dsa_data_converter_t* Convert

Pointer to the adapter Convert() function.

Definition at line 136 of file isf_dsa_adapter.h.

Referenced by convert_sensor_data(), and isf_dsa_get_data_converter().

isf_dsa_status_t(* EndData) (isf_SensorHandle_t *pSensorHandle)

Pointer to the adapter EndData() function.

Definition at line 132 of file isf_dsa_adapter.h.

Referenced by stop_sensor().

isf_dsa_status_t(* Flash) (isf_SensorHandle_t *pSensorHandle, void *pFlashData, uint8 numBytes)

Pointer to the adapter Flash() function.

Definition at line 135 of file isf_dsa_adapter.h.

Referenced by BasicApp1_FlashSensor().

isf_dsa_status_t(* Initialize) (isf_SensorHandle_t *pSensorHandle)

Pointer to the adapter Initialize() function.

Definition at line 128 of file isf_dsa_adapter.h.

Referenced by init_sensor().

isf_dsa_status_t(* Shutdown) (isf_SensorHandle_t *pSensorHandle)

Pointer to the adapter Shutdown() function.

Definition at line 134 of file isf_dsa_adapter.h.

Referenced by shutdown_sensor().

isf_dsa_status_t(* StartData) (isf_SensorHandle_t *pSensorHandle)

Pointer to the adapter StartData() function.

Definition at line 131 of file isf_dsa_adapter.h.

Referenced by start_sensor().

isf_dsa_status_t(* ValidateSettings) (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)

Pointer to the adapter ValidateSettings() function.

Definition at line 129 of file isf_dsa_adapter.h.

Referenced by configure_sensor().

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf_dsa_adapter.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.